--
-- a small town
--

function node_town_ctor (self, ParentRoad)

   self.name = "Small Town"
   self.parent_road = ParentRoad
end

node_town = class (node, node_town_ctor)

function node_town:action (Action)

   local T

   if (not Action) then

      T = "Aimlessly, you steer the car down mainstreet of nowheresville, U.S.A.//Desolation confronts you at every step."

   elseif ("drive" == Action) then

      T = "As you drive, you think about her. You cannot expunge her ghost from your memory.//What is this place?"
      cur_play:experience ("emptiness")
      cur_play:agitate (25)

   elseif ("leave" == Action) then

      T = "You turn off main street, and leave town."
      local Roadstream = roadstream ()
      Roadstream:copy (cur_play.roadstream)
      cur_adventure:leave (Roadstream)
   end

   return T
end

function node_town:menu ()

   T = "You drive the streets of this forgotten town, yourself forgotten.//Nothing is open this late, in a place like this."

   M = {

      { "drive", "Drive Around" },
      { "leave", "Head Back to the Highway" },
   }

   return T, M
end